vichan用。

N個以上の画像サムネイルを省略・展開するUIを追加します。

vichan-omit-thumbs/vichan/* を vichanのルートフォルダへ上書きコピー。

導入後に `mod.php -> rebuild -> Flush cache`

----

導入: instance-config.php

```
$config['max_images'] = 100;
$config['thumb_ext'] = 'jpg';

// 省略を開始する位置(この数のサムネイルは常に表示される)
//   値が 3 である場合の例。画像をそれぞれA,B,C...として
//     ex. 3 files: [A] [B] [C]
//     ex. 4 files: [A] [B] [C] [D]
//     ex. 5 files: [A] [B] [C] [省略ボタン] ([D] [E])
//   ファイル数が 値+1 である場合はそのまま表示し、省略ボタンを表示しない。
//   ファイル数が 値+2 以降である場合から省略ボタンを表示する。
$config['omit_thumbs_start'] = 3;
```

----

>413 Request Entity Too Large
nginx: `client_max_body_size=500M`

```
service nginx reload
```

----

ファイルが20個(or N個)以降が反映されない。

- e.g. php.ini: `max_file_uploads = 100`
- or e.g. nginx conf: `fastcgi_param PHP_VALUE "max_file_uploads=100";`


----

vichan/templates/post/fileinfo.html

```
    {% if post.num_files > 1 %}
        <input type="checkbox" class="expandthumbs" id="expandthumbs_{{ post.id }}">
        <label for="expandthumbs_{{ post.id }}" class="expandthumbs_label"></label>
    {% endif %}

    {% if post.num_files > 1 %}
        <label for="expandthumbs_{{ post.id }}" class="expandthumbs_label"></label>
    {% endif %}

```

----

vichan/templates/header.html

```
<link rel="stylesheet" href="{{ config.root }}omitthumbs.css">
```

----

vichan/stylesheets/omitthumbs.css

```
.file.multifile {
    display: none;
}

/* 省略しない回数繰り返す */
.file.multifile:nth-of-type(1),
.file.multifile:nth-of-type(2),
.file.multifile:nth-of-type(3),
.file.multifile:nth-of-type(4),
.file.multifile:nth-of-type(5),
.file.multifile:nth-of-type(6),
.file.multifile:nth-of-type(7),
.expandthumbs:checked ~ .file.multifile {
    display: inline-block;
}

.expandthumbs_label:hover {
    color: red;
    background-color: white;
}

.expandthumbs_label {
    float: left;
    display: block;
    background-color: #fff8;
    color: #0008
    border-radius: 10px;
    height: 150px;
    width: 2em;
    text-align: center;
}

.expandthumbs_label:before {
    white-space: pre;
    content: "＋";
}

.expandthumbs:checked ~ .expandthumbs_label:before {
    content: "−";
}
```
