<?php

// 2023-12-07
// vichanのルートディレクトリに配置してアクセスして実行
// vichan db の /posts_boadname/files は TEXT 形式で 65535文字制限を受ける
// これを MEDIUMTEXT 形式にする
// すべての板に対して実行する

require_once 'inc/bootstrap.php';
// listBoards()

// ログインのないアクセスでは実行させない
check_login(false);
if (!$mod) {
	error($config['error']['notamod']);
};

$all_query = '';

foreach (listBoards() as $board) {
	$b_uri = $board['uri'];

	$query = sprintf('ALTER TABLE `posts_%s` MODIFY `files` MEDIUMTEXT ;', $b_uri);
	// 実行
	query($query) or error(db_error());

	$all_query = $all_query . htmlentities($query . ";") . "<br>\n";
};

if ($all_query == '') {
	$all_query = 'zero boards?';
};


echo '<!DOCTYPE html><html>
  <head>
    <meta charset="utf-8" />
    <title>vichan database: Change type of files column</title>
  </head>
  <body>
' . $all_query . '</body></html>';

